Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229997 - FHS Violation can lead to critical data loss
Summary: FHS Violation can lead to critical data loss
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-25 17:28 UTC by Simo Sorce
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 19:48:20 UTC


Attachments (Terms of Use)

Description Simo Sorce 2007-02-25 17:28:21 UTC
Description of problem:

A number of persisten database files are stored under /var/cache/samba
This is not compliant with the FHS model, deleting that directory will cause
loosing vital data. In case winbindd is in use with local mapping, the system
health can be compromised (domain users/groups may be assigned different UID/GID
on restart).


Version-Release number of selected component (if applicable):
ALL


How reproducible:

Packaging problem

Comment 1 Bill Nottingham 2007-03-02 17:45:36 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.

Comment 2 Simo Sorce 2007-03-23 19:48:20 UTC
Fixed


Note You need to log in before you can comment on or make changes to this bug.